For the complete documentation index, see llms.txt. This page is also available as Markdown.

Web Assembly Module APIs

Get the WebAssembly module (Wasm) ZIP bundle for a Spark service. This can be used to run Spark services locally.

Reference by folder and service

post

If using an API key, the API key group must contain user groups that are also assigned to Spark.GetNodegenZip.json or Spark.AllEncompassingProxy.json.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your sign-in URL and also available in the user menu.

Example: mytenant
folderstringRequired

Folder associated with the API call.

Example: myfolder
servicestringRequired

Service associated with the API call.

Example: myservice
Responses
200

OK

application/octet-stream
string · binaryOptional
post/{tenant}/api/v3/nodegen/getnodegenzipbyId/folders/{folder}/services/{service}
POST /{tenant}/api/v3/nodegen/getnodegenzipbyId/folders/{folder}/services/{service} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

binary

Reference by service_id

post

If using an API key, the API key group must contain user groups that are also assigned to Spark.GetNodegenZip.json or Spark.AllEncompassingProxy.json.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your sign-in URL and also available in the user menu.

Example: mytenant
serviceIdstring · uuidRequired

service_id of the requested service.

Example: 4bab4cc7-fde1-4315-871d-17a72c4c39a2
Responses
200

OK

application/octet-stream
string · binaryOptional
post/{tenant}/api/v3/nodegen/getnodegenzipbyId/service/{serviceId}
POST /{tenant}/api/v3/nodegen/getnodegenzipbyId/service/{serviceId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

binary

Reference by version_id

post

If using an API key, the API key group must contain user groups that are also assigned to Spark.GetNodegenZip.json or Spark.AllEncompassingProxy.json.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your sign-in URL and also available in the user menu.

Example: mytenant
versionIdstring · uuidRequired

version_id of the requested service.

Example: 0fb13c76-8b9b-43da-b664-2b11eb11d5c3
Responses
200

OK

application/octet-stream
string · binaryOptional
post/{tenant}/api/v3/nodegen/getnodegenzipbyId/version/{versionId}
POST /{tenant}/api/v3/nodegen/getnodegenzipbyId/version/{versionId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

binary

Last updated